package com.vendor.burn.packagers.pro;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.model.define.IBurner;
import com.vendor.burn.packagers.pro.DownloadType;
import com.vendor.burn.packagers.pro.UsbImageMap;
import java.util.ArrayList;

public class UsbManuInfo {
  int manuId;
  
  int hardVersion;
  
  int softVersion;
  
  int snStart;
  
  int snEnd;
  
  DownloadType downloadType;
  
  int reserved;
  
  ArrayList<UsbImageMap> imageMaps;
  
  public UsbManuInfo() {}
  
  public UsbManuInfo(int mid, int hVer, int sVer, int snSt, int snEd, int resrv) {
    this.manuId = mid;
    this.hardVersion = hVer;
    this.softVersion = sVer;
    this.snStart = snSt;
    this.snEnd = snEd;
    this.downloadType = DownloadType.BASIC;
    this.reserved = resrv;
  }
  
  public int getLength(IBurner burner) {
    return 30 + 32 * this.imageMaps.size();
  }
  
  public ArrayList<UsbImageMap> getImageMaps() {
    return this.imageMaps;
  }
  
  public void setImageMaps(ArrayList<UsbImageMap> maps) {
    this.imageMaps = maps;
  }
}
